<?php get_header(); ?>


<div id="content">
	<div class="wrapper">
		<div class="post-wrapper"><!--start post loop-->

		<div class="post" id="post-<?php the_ID(); ?>">			
			<?php if ( have_posts() ) : ?>
				<h2 class="page-title"><?php printf( __( 'Search Results for: %s', 'twentyten' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
				<div class="wrap entry">
					<ul>
						<li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></li>
					</ul>
				</div>
				<?php the_excerpt(); ?>
			<?php else : ?>

					<h2>Nothing Found</h2>
					<div class="wrap entry">
						<p>Sorry, but nothing matched your search criteria. Please try again with some different keywords.</p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->

			<?php endif; ?>
			
			<div class="meta">
				<div class="bar-frame">
					<div class="date">
						<strong class="day"><?php echo get_the_time('d'); ?></strong>
						<div class="holder">
							<span class="month"><?php echo get_the_time('M'); ?></span>
							<span class="year"><?php echo get_the_time('Y'); ?></span>
						</div>
					</div><!--date-->
					<div class="author">
						<strong class="title">POSTED BY</strong> <?php the_author_posts_link(); ?>
					</div><!--author-->
					<div class="categories">
						<strong class="title">POSTED IN</strong> <?php the_category(' '); ?>
					</div><!--categories-->
					<div class="comments">
						<strong class="title">DISCUSSION</strong>
						<a  href="<?php the_permalink() ?>#comments" title="Comments of : <?php the_title(); ?>"><?php comments_number('0 Comments','1 Comment','% Comments'); ?></a>
					</div><!--comments-->								
					<div class="tags">
						<strong class="title">TAGS</strong> <p> <?php the_tags('', ', ', ''); ?></p>
					</div><!--tags-->
				</div>
			</div><!--meta-->
		</div><!--post-->

		</div><!--end post loop-->
		
		<?php get_sidebar(); ?>		         		
	</div><!--wrapper-->
	<span class="clear"></span>
</div><!--content-->

<?php get_footer(); ?>